Bug 1757760

Summary: Hiragana to English conversion with F10 key adds unwanted letters
Product: [Fedora] Fedora Reporter: Yuko Katabami <ykatabam>
Component: ibus-kkcAssignee: Daiki Ueno <dueno>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 36CC: bbarve, dueno, i18n-bugs, jito
Target Milestone: ---Flags: ykatabam: needinfo? (dueno)
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-06-07 05:55:12 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Yuko Katabami 2019-10-02 11:42:53 UTC
Description of problem:

When we enter an English word with consecutive double letters (e.g. assembly) in Hiragana mode and use F10 to convert into English, the double letters becomes the triple letters in some cases (e.g. asssembly). 
This happens irregularly, but tends to happen more often for longer words.  

Here are some examples:

communication becomes commmunication
bugzilla becomes bugzilla
Pittsburgh becomes Pitttsburgh

FYI, auto-correct is disabled, as auto-correct changes the input when it's not a dictionary word so it doesn't allow us to convert into English properly in hiragana mode.

Comment 1 Ben Cotton 2020-02-11 17:53:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 Fedora Program Management 2021-04-29 15:58:32 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Yuko Katabami 2021-04-30 20:04:36 UTC
Hi dueno@redhat.com,
I just noticed the message about Fedora 32 EOL.
Would you be able to change the version, so that the bug can still be fixed?

Comment 4 Ben Cotton 2022-05-12 15:05:26 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 5 Bhushan Barve 2022-06-06 12:38:39 UTC
Still reproducible with F36
ibus-kkc-1.5.22-19.fc36.x86_64

Comment 6 Parag Nemade 2022-06-07 05:55:12 UTC
I am not sure if we have someone working on ibus-kkc to fix bugs. If there is anyone who want to help with this bug fix please submit PR https://src.fedoraproject.org/rpms/ibus-kkc